package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单通话记录对象 order_call
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class OrderCall extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 订单ID */
    @Excel(name = "订单ID")
    private Long oid;

    /** 1:师傅呼叫用户  2：用户呼叫师傅 */
    @Excel(name = "1:师傅呼叫用户  2：用户呼叫师傅")
    private Integer type;

    /** 呼叫开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "呼叫开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startCallTime;

    /** 主叫呼叫状态 */
    @Excel(name = "主叫呼叫状态")
    private Integer callerstate;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 通话时长 */
    @Excel(name = "通话时长")
    private Long duration;

    /** 通话录音 */
    @Excel(name = "通话录音")
    private String recurl;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }

    public void setOid(Long oid) 
    {
        this.oid = oid;
    }

    public Long getOid() 
    {
        return oid;
    }

    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }

    public void setStartCallTime(Date startCallTime) 
    {
        this.startCallTime = startCallTime;
    }

    public Date getStartCallTime() 
    {
        return startCallTime;
    }

    public void setCallerstate(Integer callerstate) 
    {
        this.callerstate = callerstate;
    }

    public Integer getCallerstate() 
    {
        return callerstate;
    }

    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }

    public void setDuration(Long duration) 
    {
        this.duration = duration;
    }

    public Long getDuration() 
    {
        return duration;
    }

    public void setRecurl(String recurl) 
    {
        this.recurl = recurl;
    }

    public String getRecurl() 
    {
        return recurl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("oid", getOid())
            .append("type", getType())
            .append("startCallTime", getStartCallTime())
            .append("callerstate", getCallerstate())
            .append("endTime", getEndTime())
            .append("duration", getDuration())
            .append("recurl", getRecurl())
            .toString();
    }
}
